| Flutter Linux Embedder |

Functions
fl_plugin_registrar_test.cc File Reference
`#include <gtk/gtk.h>`
`#include "gtest/gtest.h"`
`#include "flutter/shell/platform/linux/fl_binary_messenger_private.h"`
`#include "flutter/shell/platform/linux/fl_texture_registrar_private.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_plugin_registrar.h"`
`#include "flutter/shell/platform/linux/testing/mock_plugin_registrar.h"`

Go to the source code of this file.

## Functions
| TEST (FlPluginRegistrarTest, FlMockRegistrar)

## Function Documentation

## ◆ TEST()

TEST | ( | FlPluginRegistrarTest | ,
|  | FlMockRegistrar |
| ) |  |

Definition at line 16 of file fl_plugin_registrar_test.cc.

16 {
17 g_autoptr(FlDartProject) project = fl_dart_project_new();
18 g_autoptr(FlEngine) engine = fl_engine_new(project);
19
20 g_autoptr(FlBinaryMessenger) messenger = fl_binary_messenger_new(engine);
21 g_autoptr(FlTextureRegistrar) texture_registrar =
22 fl_texture_registrar_new(engine);
23
24 g_autoptr(FlPluginRegistrar) registrar =
25 fl_mock_plugin_registrar_new(messenger, texture_registrar);
26 EXPECT_TRUE(FL_IS_MOCK_PLUGIN_REGISTRAR(registrar));
27
28 EXPECT_EQ(fl_plugin_registrar_get_messenger(registrar), messenger);
29 EXPECT_EQ(fl_plugin_registrar_get_texture_registrar(registrar),
30 texture_registrar);
31 }
fl_binary_messenger_new
FlBinaryMessenger * fl_binary_messenger_new(FlEngine *engine)
Definition: fl_binary_messenger.cc:391
g_autoptr
g_autoptr(GMutexLocker) locker
fl_dart_project_new
G_MODULE_EXPORT FlDartProject * fl_dart_project_new()
Definition: fl_dart_project.cc:52
fl_engine_new
G_MODULE_EXPORT FlEngine * fl_engine_new(FlDartProject *project)
Definition: fl_engine.cc:692
fl_plugin_registrar_get_texture_registrar
G_MODULE_EXPORT FlTextureRegistrar * fl_plugin_registrar_get_texture_registrar(FlPluginRegistrar *self)
Definition: fl_plugin_registrar.cc:113
fl_plugin_registrar_get_messenger
G_MODULE_EXPORT FlBinaryMessenger * fl_plugin_registrar_get_messenger(FlPluginRegistrar *self)
Definition: fl_plugin_registrar.cc:106
fl_texture_registrar_new
FlTextureRegistrar * fl_texture_registrar_new(FlEngine *engine)
Definition: fl_texture_registrar.cc:221

References fl_binary_messenger_new(), fl_dart_project_new(), fl_engine_new(), fl_plugin_registrar_get_messenger(), fl_plugin_registrar_get_texture_registrar(), fl_texture_registrar_new(), and g_autoptr().